package com.xjrsoft.module.material.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
* @title: 材料提交任务类型分页列表出参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class MaterialTypePageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private LocalDateTime createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private LocalDateTime modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 任务名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("任务名称")
    @ApiModelProperty("任务名称")
    private String name;

}
