package com.xjrsoft.module.textbook.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.textbook.dto.TextbookIssueRecordPageDto;
import com.xjrsoft.module.textbook.entity.TextbookIssueRecord;
import com.xjrsoft.module.textbook.mapper.TextbookIssueRecordMapper;
import com.xjrsoft.module.textbook.service.ITextbookIssueRecordService;
import com.xjrsoft.module.textbook.vo.TextbookIssueRecordPageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;

/**
* @title: 教材出库记录
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class TextbookIssueRecordServiceImpl extends MPJBaseServiceImpl<TextbookIssueRecordMapper, TextbookIssueRecord> implements ITextbookIssueRecordService {
    private final TextbookIssueRecordMapper textbookIssueRecordMapper;
    @Override
    public Page<TextbookIssueRecordPageVo> getPage(Page<TextbookIssueRecordPageDto> page, TextbookIssueRecordPageDto dto) {
        return textbookIssueRecordMapper.getPage(page, dto);
    }
}
