package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生荣誉分页查询入参
* @Author dzx
* @Date: 2023-12-05
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class StudentHonorsPageDto extends PageInput {

    @ApiModelProperty("班级id")
    public Long classId;

    @ApiModelProperty("学期Id")
    private Long baseSemesterId;
}
