package com.xjrsoft.module.student.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.entity.BaseStudent;
import com.xjrsoft.module.student.vo.StudentInfoVo;
import org.apache.ibatis.annotations.Mapper;

/**
 * @title: mapper
 * @Author 管理员
 * @Date: 2023-08-08
 * @Version 1.0
 */
@Mapper
public interface BaseStudentMapper extends MPJBaseMapper<BaseStudent> {
    /**
     * 根据用户编号查询学生信息
     * @return
     */
    StudentInfoVo getStudentInfo(Long userId);
}
